#include <stdio.h>
#include <stdlib.h>
#include <string.h>


int main() {
	int i, j, x=0, k, max=0, zs=0, r=0;
    char T[100], s[15], text[100], c;
	scanf("%s", text);
    for(i=0,k=0;i<strlen(text);i++){
        x = 0;
        for(j=0;j<i;j++){
            if(text[i] == text[j]){
                x = 1;
                break;
            }
        } 
        if(x == 0){
            s[k] = text[i];
            k++;
        }
    }
    int bs[strlen(s)];
    for(i=0;i<strlen(s);i++){
       bs[i] = 0;
    }
    for(i=0;i<strlen(text);i++){
        for(j=0;j<strlen(text);j++){
            if(s[i] == text[j]){
                bs[i]++;
            }
        }
    }
    for(i=0;i<strlen(s);i++){
       if(bs[i]>max){
           max = bs[i];
       }
    }
    for(i=0;i<strlen(s);i++){
       if(bs[i] == max){
           c = s[i];
           break;
       }
    }
    for(i=0;i<strlen(text);i++){
    	r = 0;
    	j = i + 1;
    	if(c == text[i]){
    		while(c != text[j]){
    			j++;
    			r++;
			}
			r++;
			if(r >= 3 && r % 2 != 0)
				zs++;
		}
	}
	printf("%d", zs);
	return 0;
}